Ubuntu

apport-gpu-error-intel.py crashed with NameError in main(): global name 'datetime' is not defined

Reported by Jean-Baptiste Lallement on 2011-10-26
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xdiagnose (Ubuntu)
High
Bryce Harrington

Bug Description

Regression on Precise, works fine on Oneiric

TEST CASE:
1. Open a terminal and run the following command:
  $ /usr/share/apport/apport-gpu-error-intel.py

Expected result:
The hook runs without error

What happens:
This crash

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: xdiagnose 1.6
ProcVersionSignature: Ubuntu 3.1.0-1.1-generic 3.1.0-rc10
Uname: Linux 3.1.0-1-generic i686
.tmp.unity.support.test.0:

ApportVersion: 1.24-0ubuntu1
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
Date: Wed Oct 26 09:25:08 2011
DistUpgraded: Log time: 2009-11-14 16:29:16.249784
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.1.4, 3.0.0-12-generic, i686: installed
 virtualbox, 4.1.4, 3.1.0-1-generic, i686: installed
EcryptfsInUse: Yes
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
GraphicsCard:
 Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:14e2]
   Subsystem: ASUSTeK Computer Inc. Device [1043:14e2]
InterpreterPath: /usr/bin/python2.7
MachineType: ASUSTeK Computer Inc. U3SG
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.utf8
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.1.0-1-generic root=UUID=75f23f17-3ace-4485-af57-a7318eb6c2ff ro quiet splash vt.handoff=7
PythonArgs: ['/usr/share/apport/apport-gpu-error-intel.py']
SourcePackage: xdiagnose
Title: apport-gpu-error-intel.py crashed with NameError in main(): global name 'datetime' is not defined
UpgradeStatus: Upgraded to precise on 2011-07-12 (105 days ago)
UserGroups: adm admin audio cdrom dialout dip floppy fuse libvirtd lpadmin netdev plugdev scanner sudo video
dmi.bios.date: 01/28/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 305
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: U3SG
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr305:bd01/28/2008:svnASUSTeKComputerInc.:pnU3SG:pvr1.0:rvnASUSTeKComputerInc.:rnU3SG:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: U3SG
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu5
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu4
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Related branches

Jean-Baptiste Lallement (jibel) wrote :
visibility: private → public
tags: added: regression-release
removed: regression
tags: removed: need-duplicate-check
Bryce Harrington (bryce) on 2011-11-22
Changed in xdiagnose (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Bryce Harrington (bryce)
tags: added: testcase
Bryce Harrington (bryce) on 2011-11-22
Changed in xdiagnose (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xdiagnose - 1.7

---------------
xdiagnose (1.7) precise; urgency=low

  * Add data/media/microscope.svg - icon for program. Icon derived from
    microscope image by flooredmusic on OpenClipart.org (public domain
    image).
  * Include datetime module
    (LP: #881840)
  * Drop user notification of past manually-installed nvidia packages.
    The packaging scripts do a better job catching this now, and this
    logic can produce false-positives sometimes.
    (LP: #847601)
  * Properly substitute $xorg_backup_file variable in failsafe-x
    (LP: #575873)

  [Chad Miller]
  * Improve wording of 'development is complete' dialog.
    (LP: #891645)
 -- Bryce Harrington <email address hidden> Wed, 05 Oct 2011 19:36:24 -0700

Changed in xdiagnose (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.